<template>
  <div id="app">
    <simple-viewer :report-data="submission.getTests()"></simple-viewer>
  </div>
</template>
<script>
import backend from '@/backend-manager'
import Submission from '@/models/Submission'
import SimpleViewer from '@/components/report/SimpleViewer'

export default {
    created: async function () {
        this.submission = new Submission(this.submissionId)
        await this.submission.load()
    },
    components: { 
        SimpleViewer: SimpleViewer 
    },

    computed: {
        submissionId: function () {
            return this.$route.params.id
        }
    },

    data: function () {
        return {
            submission: new Submission()
        }
    }
}
</script>
